Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationParser.SimpleValue

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationParser.Value
          org.eclipse.jetty.annotations.AnnotationParser.SimpleValue

Enclosing class:
  AnnotationParser

    public class AnnotationParser.SimpleValue

extends AnnotationParser.Value

Constructor Summary
`AnnotationParser.SimpleValue(java.lang.String name)`

Method Summary
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object val)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.jetty.annotations.AnnotationParser.Value
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnnotationParser.SimpleValue

    public AnnotationParser.SimpleValue(java.lang.String name)

Method Detail

### setValue

    public void setValue(java.lang.Object val)

### getValue

    public java.lang.Object getValue()

  Specified by:
    `getValue` in class `AnnotationParser.Value`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.